{{- range .Values.config.routers }}
{{- if ( include "storageclass-router.createStorageClass" . ) }}
---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: {{ .name | quote }}
  labels:
    {{- include "admission-controller.labels" $ | nindent 4 }}
  annotations:
    storageclass-router.kubernetes.io/type: {{ .type }}
    storageclass-router.kubernetes.io/destination: {{ .destination | toJson | quote }}
    {{- if hasKey . "options" }}
    storageclass-router.kubernetes.io/options: {{ .options | toJson | quote }}
    {{- end }}
provisioner: {{ printf "storageclass-router.kubernetes.io/%s" $.Release.Name }}
reclaimPolicy: Delete
{{- end }}
{{- end }}
